# Social Flexible Group Types

In Open Social there is a special group type called "flexible_group".
If you would need an extra group type with the same out of the box functionality this module is for you.

This module provides handling for custom flexible groups.
To make it work you must have the following existing fields attached to your manually created group type:
- field_group_allowed_visibility
- field_flexible_group_visibility
- field_group_allowed_join_method

To avoid any bad side effects, It's recommended to create the same structure with field groups.
Have a look over here: admin/group/types/manage/flexible_group/form-display

## Installation

Install like any other module.

## Configuration

Your custom flexible groups will be detected automatically at admin/config/opensocial/social-flexible-group-types.
Please tick them to activate the desired group logic.

At the moment due to segmentation fault you need still a module for any custom flexible group type you create.
But the module just need a .info and .module file. The module file has to include the following hook:

``
function YOURMODULE_social_group_types_alter(array &$social_group_types) {

  $social_group_types[] = 'GROUP_TYPE'

}

``


